﻿
@{
    ViewBag.Title = "Cart";
    String CartLanguage = @ViewBag.CartCurrentLang;

}
@using project_asp_mvc.Controllers;

<div class="single-product-area">
    <div class="zigzag-bottom"></div>
    <div class="container">
        <div class="row">
            <div class="col-md-4">
                <div class="single-sidebar">
                    <h2 class="sidebar-title">Search Products</h2>
                    <form action="#">
                        <input type="text" placeholder="Search products...">
                        <input type="submit" value="Search">
                    </form>
                </div>

                <div class="single-sidebar">
                    <h2 class="sidebar-title">Products</h2>
                    <div class="thubmnail-recent">
                        <img src="~/Content/images/product-thumb-1.jpg" class="recent-thumb" alt="">
                        <h2><a href="single-product.html">Sony Smart TV - 2015</a></h2>
                        <div class="product-sidebar-price">
                            <ins>$700.00</ins> <del>$800.00</del>
                        </div>
                    </div>
                    <div class="thubmnail-recent">
                        <img src="~/Content/images/product-thumb-1.jpg" class="recent-thumb" alt="">
                        <h2><a href="single-product.html">Sony Smart TV - 2015</a></h2>
                        <div class="product-sidebar-price">
                            <ins>$700.00</ins> <del>$800.00</del>
                        </div>
                    </div>
                    <div class="thubmnail-recent">
                        <img src="~/Content/images/product-thumb-1.jpg" class="recent-thumb" alt="">
                        <h2><a href="single-product.html">Sony Smart TV - 2015</a></h2>
                        <div class="product-sidebar-price">
                            <ins>$700.00</ins> <del>$800.00</del>
                        </div>
                    </div>
                    <div class="thubmnail-recent">
                        <img src="~/Content/images/product-thumb-1.jpg" class="recent-thumb" alt="">
                        <h2><a href="single-product.html">Sony Smart TV - 2015</a></h2>
                        <div class="product-sidebar-price">
                            <ins>$700.00</ins> <del>$800.00</del>
                        </div>
                    </div>
                </div>

                <div class="single-sidebar">
                    <h2 class="sidebar-title">Recent Posts</h2>
                    <ul>
                        <li><a href="#">Sony Smart TV - 2015</a></li>
                        <li><a href="#">Sony Smart TV - 2015</a></li>
                        <li><a href="#">Sony Smart TV - 2015</a></li>
                        <li><a href="#">Sony Smart TV - 2015</a></li>
                        <li><a href="#">Sony Smart TV - 2015</a></li>
                    </ul>
                </div>
            </div>

            <div class="col-md-8">
                <div class="product-content-right">
                    <div class="woocommerce">
                        @if (Session["cart"] != null)
                        {
                            using (Html.BeginForm("Update", "Cart", FormMethod.Post))
                            {
                                <table cellspacing="0" class="shop_table cart">
                                    <thead>
                                        <tr>
                                            <th class="product-remove">&nbsp;</th>
                                            <th class="product-thumbnail">&nbsp;</th>
                                            <th class="product-name">Product</th>
                                            <th class="product-price">Price</th>
                                            <th class="product-quantity">Quantity</th>
                                            <th class="product-subtotal">Total</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @{
                                            decimal s = 0;
                                            List<Item> totalItem = (List<Item>)Session["cart"];
                                        }
                                        @foreach (Item item in totalItem)
                                        {
                                            s += item.Prod.price * item.Quantity;
                                            <tr class="cart_item">
                                                <td class="product-remove">
                                                    <a title="Remove this item" class="remove" href="@Url.Action("Delete", "Cart", new { id = item.Prod.id })">×</a>
                                                </td>

                                                <td class="product-thumbnail">
                                                    <a href="single-product.html"><img width="145" height="145" alt="poster_1_up" class="shop_thumbnail" src="~/Content/images/@item.Prod.image"></a>
                                                </td>

                                                <td class="product-name">
                                                    <a href="single-product.html">@item.Prod.name</a>
                                                </td>

                                                <td class="product-price">

                                                    <span class="amount">@string.Format(System.Globalization.CultureInfo.GetCultureInfo(""), "{0:c0}", @item.Prod.price)</span>
                                                </td>

                                                <td class="product-quantity">
                                                    <div class="quantity buttons_added">
                                                        @*<input type="button" class="minus" value="-">
                                                            <input type="number" size="4" class="input-text qty text" title="Qty" value="@item.Quantity" min="0" step="1" name="quantity">
                                                            <input type="button" class="plus" value="+">*@
                                                    </div>
                                                    <input type="text" name="quantity" value="@item.Quantity" />
                                                </td>

                                                <td class="product-subtotal">
                                                    <span class="amount">@string.Format(System.Globalization.CultureInfo.GetCultureInfo(""), "{0:c0}", item.Prod.price * item.Quantity)</span>
                                                </td>
                                            </tr>
                                        }
                                        <tr>
                                            <td class="actions" colspan="6">
                                                <div class="coupon">
                                                    <label for="coupon_code">Sum:</label>
                                                    <div class="panel-body">@string.Format(System.Globalization.CultureInfo.GetCultureInfo(""), "{0:c0}", s)</div>
                                                </div>
                                                <a href="@Url.Action("Index", "Home")" class="button_continue">Continue Shopping</a>
                                                <input type="submit" value="Update Cart" name="update_cart" class="button">
                                                <a href="@Url.Action("Checkout", "Cart")" class="button_checkout">Checkout</a>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                                                }
                                            }
                                            else
                                            {
                                                <div align="center">
                                                    <h3>Nothing in cart</h3>
                                                    <a href="@Url.Action("Index", "Home")" class="button_continue">Continue Shopping</a>
                                                </div>
                                                
                                            }
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>